Salta ai contenuti

Retrieve contacts by date

POST
/v3/contacts/query
curl --request POST \
--url https://api-crm-staging.divinea.com/api/v3/contacts/query \
--header 'APIKey: <APIKey>' \
--header 'Content-Type: application/json' \
--data '{ "dateFrom": "2026-04-15T12:00:00Z", "dateTo": "2026-04-15T12:00:00Z" }'

RequestParam

Media typeapplication/json
Param
object
dateFrom
string format: date-time
dateTo
string format: date-time
Examplegenerated
{
"dateFrom": "2026-04-15T12:00:00Z",
"dateTo": "2026-04-15T12:00:00Z"
}

OK

Media type*/*
Array<object>
ContactExportDTOV3

Export version for responses

object
acceptedMarketing
boolean
acceptedPrivacyTerms
boolean
acceptedProfiling
boolean
addresses
Array<object>
AddressExportDTO
object
address
string
city
string
countryISO
string
province
string
zipcode
string
cap
string
city
string
contactValue
number format: double
country
string
countryISO
string
dateOfBirth
string format: date
emails
Array<object>
Email

Email object for a contact

object
email

Email address

string
Example
john.doe@gmail.com
master
boolean
type

Type of email

string
Allowed values: master secondary work additionalWork pec
Example
master
firstName
string
id
integer format: int64
languageISO
string
lastName
string
manualMarketing
boolean
phoneNumbers
Array<object>
Phone

Phone object for a contact

object
phone

Phone number

string
Example
+1234567890
type

Type of phone

string
Allowed values: master secondary work
Example
master
province
string
unsubscribed
boolean
wineryId
string